%define name GnomeArtNG
%define version 0.7.0
%define release %mkrel 1

Summary:	Gnome-Art NG is the successor of Gnome-Art 
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://prdownload.berlios.de/gnomeartng/
Source0:  	http://prdownload.berlios.de/gnomeartng/gnomeartng-%{version}.tar.bz2
Source1:        gnomeartng.png
License:	GPL
Group:		Graphics
BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:       mono
Requires:       gtk+2.0 


%description
With this application you're able to change your gnome look and feel completely.
It is the successor of Gnome-Art and lets you change your Gnome-themes (icon-, 
wallpaper-, splash-,...-themes) with one click.

%prep

%setup -q -n gnomeartng-%{version}

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/
cp -af locale images GnomeArtNg.exe $RPM_BUILD_ROOT%{_datadir}/%{name}/

mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/gnomeartng << EOF
#!/bin/sh
cd %_datadir/%{name}/
exec mono ./GnomeArtNg.exe
EOF
chmod +x %{buildroot}%{_bindir}/gnomeartng

# desktop menu
mkdir -p %buildroot%_datadir/applications
cat > %buildroot%_datadir/applications/gnomeartng.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=Gnome-Art Next Gen
Comment=Changes your gnome look and feel completely.
Exec=gnomeartng
Icon=gnomeartng.png
Terminal=false
Type=Application
Categories=GNOME;GTK;Graphics;X-MandrivaLinux-Multimedia-Graphics;
EOF

# icon
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/


%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files 
%defattr(-,root,root)
%doc README  VERSION
%{_bindir}/gnomeartng
%{_datadir}/%{name}*
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*.desktop


%changelog
* Thu Jul 16 2009 Slick50 <lxgator@gmail.com> 0.7.0-1pclos2009
- 0.7.0

* Wed Mar 11 2009 Slick50 <lxgator@gmail.com> 0.6.0-2pclos2007
- rebuild

* Thu Jul 31 2008 Slick50 <slick50@linuxgator.org> 0.6.0-1pclos2007
- 0.6.0

* Mon Jun 30 2008 Slick50 <slick50@linuxgator.org> 0.5.1-1pclos2007
- 0.5.1

* Fri Jun 13 2008 Slick50 <slick50@linuxgator.org> 0.4.5-1pclos2007
- Initial build

